### Hierarchy

- JsonFormsControl
  - TextControlRenderer

### Implements

- OnInit
- OnDestroy
- OnInit
- OnDestroy

## Index

### Constructors

- constructor

### Properties

- data
- description
- disabled
- enabled
- error
- form
- hidden
- id
- label
- ngRedux
- path
- rootSchema
- schema
- scopedSchema
- subscription
- uischema
- validator
- visible

### Methods

- getEventValue
- getOwnProps
- getType
- mapAdditionalProps
- mapToProps
- ngOnDestroy
- ngOnInit
- onChange
- triggerValidation

## Constructors

### constructor

- new TextControlRenderer(ngRedux: NgRedux<JsonFormsState>): TextControlRenderer

- Overrides JsonFormsAbstractControl.__constructor

  - Defined in controls/text.renderer.ts:52

  #### Parameters

  - ##### ngRedux: NgRedux<JsonFormsState>

  #### Returns TextControlRenderer

## Properties

### data

data: any

Inherited from JsonFormsAbstractControl.data

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:14

### description

description: string

Inherited from JsonFormsAbstractControl.description

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:16

### disabled

disabled: boolean

Inherited from JsonFormsAbstractControl.disabled

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:10

### enabled

enabled: boolean

Inherited from JsonFormsAbstractControl.enabled

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:20

### error

error: string | null

Inherited from JsonFormsAbstractControl.error

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:17

### form

form: FormControl

Inherited from JsonFormsAbstractControl.form

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:12

### hidden

hidden: boolean

Inherited from JsonFormsAbstractControl.hidden

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:21

### id

id: string

Inherited from JsonFormsAbstractControl.id

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:9

### label

label: string

Inherited from JsonFormsAbstractControl.label

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:15

### Protected ngRedux

ngRedux: NgRedux<JsonFormsState>

Inherited from JsonFormsAbstractControl.ngRedux

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:8

### path

path: string

Inherited from JsonFormsBaseRenderer.path

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:5

### rootSchema

rootSchema: JsonSchema

Inherited from JsonFormsAbstractControl.rootSchema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:19

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:4

### scopedSchema

scopedSchema: JsonSchema

Inherited from JsonFormsAbstractControl.scopedSchema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:18

### subscription

subscription: Subscription

Inherited from JsonFormsAbstractControl.subscription

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:13

### uischema

uischema: ControlElement

Inherited from JsonFormsBaseRenderer.uischema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:3

### validator

validator: ValidatorFn

Inherited from JsonFormsAbstractControl.validator

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:26

### visible

visible: boolean

Inherited from JsonFormsAbstractControl.visible

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:11

## Methods

### getEventValue

- getEventValue(event: any): any

- Overrides JsonFormsAbstractControl.getEventValue

  - Defined in controls/text.renderer.ts:56

  #### Parameters

  - ##### event: any

  #### Returns any

### Protected getOwnProps

- getOwnProps(): OwnPropsOfControl

- Inherited from JsonFormsAbstractControl.getOwnProps

  Overrides JsonFormsBaseRenderer.getOwnProps

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:29

  #### Returns OwnPropsOfControl

### getType

- getType(): string

- - Defined in controls/text.renderer.ts:57

  #### Returns string

### mapAdditionalProps

- mapAdditionalProps(props: ControlProps): void

- Inherited from JsonFormsAbstractControl.mapAdditionalProps

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:27

  #### Parameters

  - ##### props: ControlProps

  #### Returns void

### Protected mapToProps

- mapToProps(state: JsonFormsState): ControlProps

- Inherited from JsonFormsControl.mapToProps

  Overrides JsonFormsAbstractControl.mapToProps

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:5

  #### Parameters

  - ##### state: JsonFormsState

  #### Returns ControlProps

### ngOnDestroy

- ngOnDestroy(): void

- Inherited from JsonFormsAbstractControl.ngOnDestroy

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:28

  #### Returns void

### ngOnInit

- ngOnInit(): void

- Inherited from JsonFormsAbstractControl.ngOnInit

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:25

  #### Returns void

### onChange

- onChange(ev: any): void

- Inherited from JsonFormsAbstractControl.onChange

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:24

  #### Parameters

  - ##### ev: any

  #### Returns void

### Protected triggerValidation

- triggerValidation(): void

- Inherited from JsonFormsAbstractControl.triggerValidation

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:31

  #### Returns void

Generated using TypeDoc